<?php
/**
 * Template Name: Portfolio Three Columns
 *
 * The three columns template for portfolio.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Trade_Line
 */

get_header(); ?>

<?php if ( true === apply_filters( 'trade_line_filter_home_page_content', true ) ) : ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php while ( have_posts() ) : the_post(); ?>

				<?php
				if ( class_exists( 'Jetpack' ) && Jetpack::is_module_active( 'custom-content-types' ) && post_type_exists( 'jetpack-portfolio' ) ) {
					get_template_part( 'template-parts/content', 'portfolio' );
				} else {
					_e( 'Please Activate Jetpack Plugin And Configure Portfolio', 'trade-line-pro' );
				}
				?>

				<?php
					// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
					endif;
				?>

			<?php endwhile; // End of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
	/**
	 * Hook - trade_line_action_sidebar.
	 *
	 * @hooked: trade_line_add_sidebar - 10
	 */
	do_action( 'trade_line_action_sidebar' );
?>

<?php endif; // End if show home content. ?>

<?php get_footer(); ?>
